<template>
    <Page>
        <div class="steady device-manage">
            <DeviceTree @selectDevice="selectDevice" :devId="devId" />
            <Detail ref="detail" :devId="devId" />
        </div>
    </Page>
</template>
<script>
import Detail from './detail'
import DeviceTree from '../../components/deviceTree'

export default {
    name: 'GovernAnalyzeSteady',
    components: { Detail, DeviceTree },
    data() {
        return {
            devId: null
        }
    },

    created() {},
    mounted() {},
    methods: {
        selectDevice({ id }) {
            // console.log(id)
            if (!id) return
            this.devId = id
            this.$refs.detail.activeName = 'one'
            this.$refs.detail.handleClick()
        }
    }
}
</script>
<style lang="scss">
.steady {
    display: flex;
    width: 100%;
    height: 100%;
    padding: 0;
    .el-tree {
        font-size: 14px;
        //height: calc(100vh - 168px) !important;
    }
}
</style>
